#include "osal_mem.h"
#include <rtthread.h>

void* osal_malloc(osal_size_t size)
{
    return rt_malloc(size);
}

void* osal_calloc(osal_size_t count, osal_size_t size)
{
    return rt_calloc(count, size);
}

void* osal_realloc(void* ptr, osal_size_t size)
{
    return rt_realloc(ptr, size);
}

void osal_free(void* ptr)
{
    rt_free(ptr);
}

void* osal_malloc_align(osal_size_t size, osal_size_t align)
{
    return rt_malloc_align(size, align);
}

void osal_free_align(void* ptr)
{
    rt_free_align(ptr);
}
